How can I upgrade from Core v4.7.0/v4.7.1 to a newer Core v4.7 release

MetaDefender Core v4.7.0 and v4.7.1 releases contain an issue which can cause configuration data loss during an upgrade.

To upgrade from v4.7.0/v4.7.1, please do the following

  1. Stop the Core services using the following commands

    net stop ometascan
    net stop ometascan-node
  2. Check the data folder under MetaDefender Core installation folder (<INSTALLATION DIRECTORY>\data, usually C:\Program Files\OPSWAT\MetaDefender Core\data). If there is any *.war or *.shm files that exist in this folder, this means that the services are still running. Please be sure to stop the services correctly (no running ometascan.exe and ometascan-node.exe processes are running)

  3. Copy the content of your <INSTALLATION DIRECTORY>\data folder from the installation folder to a safe place

  4. Uninstall MetaDefender Core v4.7.0/v4.7.1

  5. Remove content of <INSTALLATION DIRECTORY>\data folder

  6. Install the latest version of the MetaDefender Core

  7. Stop the Core services again using the following commands

    net stop ometascan
    net stop ometascan-node
  8. Replace the data folder with the files from Step 3 to <INSTALLATION DIRECTORY>\data (keeping your data backup untouched)

  9. Run the following command: <INSTALLATION DIRECTORY>\ometascan-upgrade-db.exe

  10. Restart the Core services using the following commands

    net start ometascan
    net start ometascan-node
  11. Login to the web management interface and check if your configuration and scan history is untouched

if you need further help to upgrade from these version contact OPSWAT's support for assistance


This article pertains to MetaDefender Core v4
This article was last updated on 2019-08-31
VM